%define name banter
%define version 0.1.11
%define release %mkrel 9

Summary: Next Generation Real Time Collaboration Client
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
Source1: Banter.exe.config
Patch: banter-0.1.11-gconf-sharp.patch
Patch1: banter-0.1.11-new-gnome-keyring-sharp.patch
License: GPLv2+
Group: Networking/Instant messaging
Url: http://live.gnome.org/Banter
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: mono-devel
BuildRequires: telepathy-sharp
BuildRequires: gnome-keyring-sharp
BuildRequires: libGConf2-devel
BuildRequires: ndesk-dbus-glib
BuildRequires: gnome-sharp2-devel
BuildRequires: notify-sharp
BuildRequires: desktop-file-utils
BuildRequires: gnome-common
BuildRequires: intltool
Requires: gstreamer0.10-farsight
Requires: telepathy-gabble
Requires: telepathy-stream-engine
%define _requires_exceptions lib.*gtk+-x11-2.0_0

%description
Banter will become a next generation real time collaboration client
focused on the big three: text, voice and video centered on a dynamic,
innovative and easy to use contact management system.

%prep
%setup -q
%patch -p1
%patch1 -p1
autoreconf


%build
./configure --prefix=%_prefix --sysconfdir=%_sysconfdir
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="GNOME" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

#gw symlink for gnome-keyring-sharp, which isn't yet in the GAC
ln -s %_prefix/lib/Gnome.Keyring/Gnome.Keyring.dll %buildroot%_prefix/lib/banter
cp %SOURCE1 %buildroot%_prefix/lib/banter/

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%update_menus
%update_icon_cache hicolor
%post_install_gconf_schemas banter
%endif

%preun
%preun_uninstall_gconf_schemas banter

%if %mdkversion < 200900
%postun
%clean_menus
%clean_icon_cache hicolor
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc README NEWS AUTHORS
%_sysconfdir/gconf/schemas/banter.schemas
%_bindir/banter
%_prefix/lib/banter
%_datadir/applications/banter.desktop
%_datadir/banter
%_datadir/icons/hicolor/*/apps/banter.*
%_datadir/pixmaps/*


%changelog
* Wed Aug 20 2008 Götz Waschk <waschk@mandriva.org> 0.1.11-9mdv2009.0
+ Revision: 274134
- rebuild

* Wed Jul 30 2008 Götz Waschk <waschk@mandriva.org> 0.1.11-8mdv2009.0
+ Revision: 254663
- rebuild

* Mon Jul 28 2008 Götz Waschk <waschk@mandriva.org> 0.1.11-7mdv2009.0
+ Revision: 251116
- fix buildrequires
- patch to build with new gnome-keyring-sharp
- update license

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Feb 19 2008 Götz Waschk <waschk@mandriva.org> 0.1.11-4mdv2008.1
+ Revision: 172933
- fix the patch
- fix build with new gnome-sharp
- filter out new automatic mono deps

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 30 2007 Götz Waschk <waschk@mandriva.org> 0.1.11-3mdv2008.0
+ Revision: 75361
- add dll mapping

* Mon Aug 27 2007 Götz Waschk <waschk@mandriva.org> 0.1.11-2mdv2008.0
+ Revision: 71983
- fix menu entry
- make it find the Gnome.Keyring.dll

* Mon Aug 27 2007 Götz Waschk <waschk@mandriva.org> 0.1.11-1mdv2008.0
+ Revision: 71931
- Import banter



* Mon Aug 27 2007 Götz Waschk <waschk@mandriva.org> 0.1.11-1mdv2008.0
- initial package
